/**
 * @file  DFFileRawFirmware.h
 * @brief Schnittstelle fuer die Klasse CDFFileRawFirmware.
 */
//////////////////////////////////////////////////////////////////////
#ifndef _DFFILERAWFIRMWARE_H_
#define _DFFILERAWFIRMWARE_H_

#include "ErrorState.h"

// Basisklasse 
#include "IntelHex.h"
// Hilfsklassen
#include "ATmega128.h"

class CDFFileRawFirmware : public CIntelHex
{
public:
	CDFFileRawFirmware();
	virtual ~CDFFileRawFirmware();

	void Reset();
	inline int GetLastErrorState() { return m_errorState; };
	inline CATmega128 *GetController() { return &m_controller; };
	inline unsigned long GetSizeData() { return m_sizeData; };

	int Load(char *fileName);
	int Save(char *fileName, unsigned char append = 0);

protected:
	int m_errorState;
	unsigned long m_sizeData;
	CATmega128 m_controller;

};

#endif

